> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a WABA

> Retrieves a WABA you've registered.



## OpenAPI

````yaml /openapi/endpoints/ycloud-api-v2.yaml get /whatsapp/businessAccounts/{id}
openapi: 3.0.0
info:
  description: >-
    The [YCloud](https://ycloud.com) API is organized around
    [REST](https://en.wikipedia.org/wiki/Representational_state_transfer). Our
    API is designed to have predictable, resource-oriented URLs, return
    [JSON](https://www.json.org) responses, and use standard HTTP response codes
    and verbs.
  version: v2
  title: YCloud API
  termsOfService: https://ycloud.com/terms-service
  contact:
    email: service@ycloud.com
servers:
  - url: https://api.ycloud.com/v2
    description: Base URL
security:
  - api_key: []
tags:
  - name: Balance
  - name: Contacts
  - name: Custom Events
  - name: Emails
  - name: SMS
  - name: Unsubscribers
  - name: Verify
  - name: Voices
  - name: Webhook Endpoints
  - name: WhatsApp Business Accounts
  - name: WhatsApp Inbound Messages
  - name: WhatsApp Media
  - name: WhatsApp Messages
  - name: WhatsApp Blocked Users
  - name: WhatsApp Groups
  - name: WhatsApp Calling
  - name: WhatsApp Phone Numbers
  - name: WhatsApp Templates
  - name: WhatsApp Flows
  - name: Meta Business Agent
  - name: WhatsApp Group Messages
externalDocs:
  description: Homepage
  url: https://ycloud.com
paths:
  /whatsapp/businessAccounts/{id}:
    get:
      tags:
        - WhatsApp Business Accounts
      summary: Retrieve a WABA
      description: Retrieves a WABA you've registered.
      operationId: whatsapp_business_account-retrieve
      parameters:
        - name: id
          in: path
          description: WhatsApp Business Account ID.
          required: true
          schema:
            type: string
            example: whatsapp-business-account-id
      responses:
        '200':
          description: Successfully retrieved the WABA.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsappBusinessAccount'
        '404':
          description: The requested resource does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    WhatsappBusinessAccount:
      type: object
      description: >-
        Represents a specific [WhatsApp Business Account
        (WABA)](https://developers.facebook.com/docs/whatsapp/overview/business-accounts).
      properties:
        id:
          type: string
          description: WhatApp Business Account ID.
        name:
          type: string
          description: User-friendly name to differentiate WhatsApp Business Accounts.
        currency:
          type: string
          description: >-
            The currency in which the payment transactions for the WhatsApp
            Business Account will be processed.
        messageTemplateNamespace:
          type: string
          description: >-
            Namespace string for the message templates that belong to the
            WhatsApp Business Account.
        accountReviewStatus:
          $ref: '#/components/schemas/WhatsappBusinessAccountReviewStatus'
        businessId:
          type: string
          description: Business Portfolio ID.
        businessName:
          type: string
          description: Business Portfolio Name.
        businessStatus:
          type: string
          description: Business Portfolio Status,Default:APPROVED
        businessVerificationStatus:
          $ref: '#/components/schemas/MetaBusinessAccountVerificationStatus'
        country:
          type: string
          description: >-
            Country of the WhatsApp Business Account's owning Meta Business
            account.
        ownershipType:
          type: string
          description: Ownership type of the WhatsApp Business Account.
        paymentMethodAttached:
          type: boolean
          description: >-
            Whether we have attached a payment method to the WhatsApp Business
            Account.
        primaryFundingId:
          type: string
          description: Primary funding ID for the WhatsApp Business Account paid service.
        purchaseOrderNumber:
          type: string
          description: >-
            The purchase order number supplied by the business for payment
            management purposes.
        timezoneId:
          type: string
          description: >-
            The timezone ID of the WhatsApp Business Account. See [Timezone
            IDs](https://developers.facebook.com/docs/marketing-api/reference/ad-account/timezone-ids).
          example: '1'
        decision:
          $ref: '#/components/schemas/WhatsappReviewDecision'
          description: >-
            Review decision made on this WhatsApp Business Account. One of
            `APPROVED` or `REJECTED` or `DEFERRED`.
        updateEvent:
          $ref: '#/components/schemas/WhatsappBusinessAccountUpdateEventEnum'
        banState:
          $ref: '#/components/schemas/WhatsappBusinessAccountBanState'
        banDate:
          type: string
          description: The date when the WABA is banned.
          example: December 9, 2022
        violationType:
          type: string
          description: >-
            Used to report violations imposed on the WABA.

            See also [WhatsApp Business Platform Policy
            Violations](https://developers.facebook.com/docs/whatsapp/overview/policy-enforcement/violations).
          example: SCAM
        restrictions:
          type: array
          description: >-
            Used to report restrictions imposed on the WABA, when that WABA
            violates [WhatsApp Business Platform
            policies](https://developers.facebook.com/docs/whatsapp/overview/policy-enforcement).
          items:
            $ref: '#/components/schemas/WhatsappBusinessAccountRestrictionInfo'
        maxPhoneNumbersPerBusiness:
          type: integer
          format: int32
          description: >-
            Included in a `whatsapp.business_account.updated` webhook with
            `updateEvent=BUSINESS_CAPABILITY_UPDATE` when Meta reports the
            Business Portfolio phone-number registration limit. Meta currently
            reports this field separately from `maxPhoneNumbersPerWaba`, but
            consumers must process both if a future update includes them
            together.
          example: 20
        maxPhoneNumbersPerWaba:
          type: integer
          format: int32
          description: >-
            Included in a `whatsapp.business_account.updated` webhook with
            `updateEvent=BUSINESS_CAPABILITY_UPDATE` when Meta reports the WABA
            phone-number registration limit. Meta currently reports this field
            separately from `maxPhoneNumbersPerBusiness`, but consumers must
            process both if a future update includes them together.
          example: 25
        authIntlRateEligibilityCountries:
          type: array
          description: >-
            Starting June 1, 2024, we are updating our authentication rate card
            and introducing a new authentication-international rate. This rate
            will apply in the the following countries:

            - June 1, 2024 – Indonesia (country calling code +62, country code
            `ID`)

            - July 1, 2024 – India (country calling code +91, country code `IN`)


            See also [Authentication-International
            Rates](https://developers.facebook.com/docs/whatsapp/pricing/authentication-international-rates).
          items:
            $ref: '#/components/schemas/WhatsappAuthIntlRateEligibilityCountry'
        primaryBusinessLocation:
          type: string
          description: >-
            Your primary business location is the country where your business is
            based. It will appear in the Business Manager under the Primary
            Business Location field starting May 1, 2024.

            [ISO 3166-1 alpha-2 country
            code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
          example: US
        whatsappBusinessManagerMessagingLimit:
          type: string
          description: >-
            The owning business portfolio's messaging limit. Starting October 7,
            2025, messaging limits will instead be calculated and set on a
            business portfolio basis, and will be shared by all business phone
            numbers within each portfolio. See also [phone_number_quality_update
            webhook
            reference](https://developers.facebook.com/docs/whatsapp/cloud-api/webhooks/reference/phone_number_quality_update).

            - `TIER_NOT_SET`: The business phone number has not been used to
            send a message yet.

            - `TIER_50`: Messaging limit of 50 business-initiated conversations
            in a rolling 24-hour period.

            - `TIER_250`: Messaging limit of 250 business-initiated
            conversations in a rolling 24-hour period.

            - `TIER_2K`: Messaging limit of 2,000 business-initiated
            conversations in a rolling 24-hour period.

            - `TIER_10K`: Messaging limit of 10,000 business-initiated
            conversations in a rolling 24-hour period.

            - `TIER_100K`: Messaging limit of 100,000 business-initiated
            conversations in a rolling 24-hour period.

            - `TIER_UNLIMITED`: The business phone number has higher throughput
            with unlimited business-initiated conversations.
          example: TIER_2K
        removedReason:
          type: string
          description: >-
            Raw reason from the WhatsApp Business Account deletion event. Known
            values include:

            - `ACCOUNT_DISCONNECTED`: The account was disconnected due to
            enforcement or because the WhatsApp account was explicitly deleted.

            - `BUSINESS_DOWNGRADE`: The phone number was registered with the
            consumer WhatsApp app.

            - `CHANGE_NUMBER`: The WhatsApp phone number was changed.

            - `COMPANION_INACTIVITY`: A companion device was inactive for
            approximately 30 days.

            - `PRIMARY_INACTIVITY`: A primary device was inactive for
            approximately 30 days.

            - `USER_RE_REGISTERED`: WhatsApp was re-registered on a new device.


            Unknown values are returned as received.
          example: ACCOUNT_DISCONNECTED
        removedInitiatedBy:
          type: string
          description: >-
            Raw initiator from the WhatsApp Business Account deletion event.
            Known values include:

            - `USER`: The removal was initiated by the WhatsApp user.

            - `SYSTEM`: The removal was initiated by the Meta system.


            Unknown values are returned as received.
          example: USER
        removedTime:
          type: string
          format: date-time
          description: >-
            The time when the WhatsApp Business Account deletion event was
            received, formatted in [RFC
            3339](https://datatracker.ietf.org/doc/html/rfc3339). e.g.,
            `2026-05-19T12:00:00.000Z`.
          example: '2026-05-19T12:00:00.000Z'
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/Error'
          description: >-
            Contains the error code and human-readable message for the API
            error.
    WhatsappBusinessAccountReviewStatus:
      type: string
      description: WhatsApp Business Account review status.
      enum:
        - PENDING
        - APPROVED
        - REJECTED
    MetaBusinessAccountVerificationStatus:
      type: string
      description: >-
        Current status of business verification of Meta Business Account which
        owns this WhatsApp Business Account.
      enum:
        - expired
        - failed
        - ineligible
        - not_verified
        - pending
        - pending_need_more_info
        - pending_submission
        - rejected
        - revoked
        - verified
    WhatsappReviewDecision:
      type: string
      description: >-
        Used if a decision about WhatsApp accounts or phone numbers has been
        made.
      enum:
        - APPROVED
        - REJECTED
        - DEFERRED
    WhatsappBusinessAccountUpdateEventEnum:
      type: string
      description: >-
        Indicates the update event type of the WABA when a notification is sent
        to you to report a [policy
        violation](https://developers.facebook.com/docs/whatsapp/overview/policy-enforcement),
        a WABA has been banned and more.

        - `DISABLED_UPDATE`: WhatsApp Business Account Banned.

        - `ACCOUNT_RESTRICTION`: WhatsApp Business Account Restricted Due To
        Policy Violations.

        - `ACCOUNT_VIOLATION`: WhatsApp Business Account Violates Policy.

        - `PARTNER_REMOVED`: WhatsApp Business Account was removed from the
        partner connection.

        - `PARTNER_APP_UNINSTALLED`: WhatsApp Business Account partner app was
        uninstalled.

        - `AUTH_INTL_PRICE_ELIGIBILITY_UPDATE`: WhatsApp Business Account is
        eligible for the [authentication-international
        rate](https://developers.facebook.com/docs/whatsapp/pricing/authentication-international-rates).

        - `BUSINESS_PRIMARY_LOCATION_COUNTRY_UPDATE`: Business's [primary
        business
        location](https://developers.facebook.com/docs/whatsapp/pricing/authentication-international-rates#primary-business-location)
        is set.

        - `BUSINESS_CAPABILITY_UPDATE`: Meta reported a change to the Business
        Portfolio or WABA phone-number registration limit.
      enum:
        - DISABLED_UPDATE
        - ACCOUNT_RESTRICTION
        - ACCOUNT_VIOLATION
        - PARTNER_REMOVED
        - PARTNER_APP_UNINSTALLED
        - AUTH_INTL_PRICE_ELIGIBILITY_UPDATE
        - BUSINESS_PRIMARY_LOCATION_COUNTRY_UPDATE
        - BUSINESS_CAPABILITY_UPDATE
    WhatsappBusinessAccountBanState:
      type: string
      description: The ban state of the WhatsApp Business Account.
      enum:
        - SCHEDULE_FOR_DISABLE
        - DISABLE
        - REINSTATE
    WhatsappBusinessAccountRestrictionInfo:
      type: object
      description: >-
        Used to report restrictions imposed on a specific WABA, when that WABA
        violates [WhatsApp Business Platform
        policies](https://developers.facebook.com/docs/whatsapp/overview/policy-enforcement).
      properties:
        restrictionType:
          type: string
          description: Restriction type.
          enum:
            - RESTRICTED_ADD_PHONE_NUMBER_ACTION
            - RESTRICTED_BIZ_INITIATED_MESSAGING
            - RESTRICTED_CUSTOMER_INITIATED_MESSAGING
            - RESTRICTED_DIRECT_SEND_UTILITY_TEMPLATES
        expiration:
          type: string
          format: date-time
          description: >-
            The time at which this restriction expires, formatted in [RFC
            3339](https://datatracker.ietf.org/doc/html/rfc3339). e.g.,
            `2022-06-01T12:00:00.000Z`.
          example: '2022-06-01T12:00:00.000Z'
    WhatsappAuthIntlRateEligibilityCountry:
      type: object
      description: >-
        Starting June 1, 2024, we are updating our authentication rate card and
        introducing a new authentication-international rate. This rate will
        apply in the the following countries:

        - June 1, 2024 – Indonesia (country calling code +62, country code `ID`)

        - July 1, 2024 – India (country calling code +91, country code `IN`)


        See also [Authentication-International
        Rates](https://developers.facebook.com/docs/whatsapp/pricing/authentication-international-rates).
      properties:
        countryCode:
          type: string
          description: >-
            [ISO 3166-1 alpha-2 country
            code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
          example: IN
        startTime:
          type: string
          format: date-time
          description: >-
            Date when newly-opened authentication conversations are subject to
            authentication-international rates, formatted in [RFC
            3339](https://datatracker.ietf.org/doc/html/rfc3339). e.g.,
            `2024-07-01T00:00:00.000Z`.
          example: '2024-07-01T00:00:00.000Z'
    Error:
      type: object
      required:
        - status
        - code
      properties:
        status:
          type: integer
          format: int32
          pattern: '[45]\d{2}'
          description: >-
            HTTP status code, [RFC 7231, Section
            6](https://datatracker.ietf.org/doc/html/rfc7231#section-6). It
            conveys the HTTP status code used for the convenience of the
            consumer.
          example: 404
        code:
          type: string
          description: >-
            One of a server-defined error codes. Some `4xx` errors that could be
            handled programmatically include an error code that briefly explains
            the error reported.
          example: NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable representation of the error. It is intended as an
            aid to developers and is not suitable for exposure to end users.
          example: The requested resource does not exist.
        target:
          type: string
          description: The target of the error.
          example: ''
        docUrl:
          type: string
          description: A URL to more information about the error.
          example: ''
        requestId:
          type: string
          description: >-
            Each API request has an associated request ID. It conveys the
            response header `YCloud-Request-ID` used for the convenience of the
            consumer.
          example: req_1KjtKI80IKoaJNa6n6p
        whatsappApiError:
          $ref: '#/components/schemas/WhatsappApiError'
          description: >-
            The original error object returned by WhatsApp. See [Handling
            Errors](https://developers.facebook.com/docs/graph-api/guides/error-handling),
            [Cloud API Error
            Codes](https://developers.facebook.com/docs/whatsapp/cloud-api/support/error-codes).


            Note: This field is returned if we tried to request the WhatsApp
            Business API and got an error response.
        metaBusinessAgentApiError:
          $ref: '#/components/schemas/MetaBusinessAgentApiError'
          description: >-
            Sanitized upstream details returned when a Meta Business Agent
            request fails.
    WhatsappApiError:
      type: object
      description: >-
        The original error object returned by WhatsApp. See [Handling
        Errors](https://developers.facebook.com/docs/graph-api/guides/error-handling),
        [Cloud API Error
        Codes](https://developers.facebook.com/docs/whatsapp/cloud-api/support/error-codes).
      required:
        - message
        - code
      properties:
        message:
          type: string
          description: A human-readable description of the error.
          example: HSM Template creation failed
        code:
          type: string
          description: An error code.
          example: 200002
        type:
          type: string
          description: Error type.
          example: OAuthException
        is_transient:
          type: boolean
          description: Whether the error is transient.
          example: false
        error_subcode:
          type: string
          description: Additional code about the error.
          example: 2388109
        error_user_msg:
          type: string
          description: >-
            The message to display to the user. The language of the message is
            based on the locale of the API request.
          example: This message template cannot be created.
        error_user_title:
          type: string
          description: >-
            The title of the dialog, if shown. The language of the message is
            based on the locale of the API request.
          example: Message Cannot Be Submitted
        fbtrace_id:
          type: string
          description: >-
            Internal support identifier. When reporting a bug related to a Graph
            API call, include the fbtrace_id to help us find log data for
            debugging.
          example: AVGjJ7ia2zJkrHG
        error_data:
          description: >-
            Additional data about the error. A string or map.

            - For template APIs, this field is a string describing the reason
            for the error.

            - For message APIs, this field is a map with property `details`
            describing the reason for the error.
          oneOf:
            - type: string
            - type: object
              additionalProperties: true
    MetaBusinessAgentApiError:
      type: object
      description: Sanitized details from a failed Meta Business Agent upstream request.
      properties:
        title:
          type: string
        detail:
          type: string
        type:
          type: string
        status:
          type: integer
          format: int32
        requestId:
          type: string
  securitySchemes:
    api_key:
      type: apiKey
      name: X-API-Key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.